> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/bitcoin/util-rpcs/verifymessage.md).

# verifymessage

Verify a signed message

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## **Reference:** [**Here**](https://developer.bitcoin.org/reference/rpc/verifymessage.html)

## **Parameters**

`address` - string, required

The bitcoin address to use for the signature.

\
\&#xNAN;**`signature`** - string, required

The signature provided by the signer in base 64 encoding (see signmessage).

**`message`** - string, required

The message that was signed.

## Returns

| Name          | Type    | Description                          |
| ------------- | ------- | ------------------------------------ |
| true \| false | boolean | If the signature is verified or not. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/bitcoin/util-rpcs/verifymessage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
